import org.acplt.oncrpc.*;
import java.io.IOException;
import java.net.InetAddress;

public class HelloClient {

    public static void main (String args []){
	try{
            // Connexion au stub (cot client)
	    HelloWorldClient h = new HelloWorldClient (InetAddress.getLocalHost(), OncRpcProtocols.ONCRPC_UDP);
            // Appel de la mthode (en local)
	    h.hello_world_null_1();
            // Appel de la mthode (en local) et rcupration du rsultat
	    Chaine result = h.hello_world_1 (new Chaine ("Claude"));
            // Affichage du rsultat
	    System.out.println ("Resultat:"+result.value);
	}
	catch (Exception e){
	    System.out.println ("Erreur:"+e);
	}
    }
}
